Bug 26717

Summary: box-orient is not inherited
Product: WebKit Reporter: Shinichiro Hamaji <hamaji>
Component: CSSAssignee: Nobody <webkit-unassigned>
Status: RESOLVED WONTFIX    
Severity: Normal CC: hamaji, hyatt
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
URL: https://bugs.webkit.org/attachment.cgi?id=31849
Attachments:
Description Flags
Test case
none
Patch v1
none
expected png of my layout test
none
Patch v1 none

Description Shinichiro Hamaji 2009-06-25 03:48:06 PDT
According to http://dev.w3.org/csswg/css3-flexbox/ , box-orient should be inherited, but they aren't inherited with current WebKit. I'll upload a test case and a patch.

Note that this spec seemed to change. As of August 2007, box-orient should NOT be inherited: http://www.w3.org/TR/2007/WD-css3-layout-20070809/#box-orient
I'm not sure if the current spec is fixed or tentative. If WebKit developers think we should wait until the spec is fixed, please feel free to mark this bug as won't fix.
Comment 1 Shinichiro Hamaji 2009-06-25 03:49:08 PDT
Created attachment 31849 [details]
Test case
Comment 2 Shinichiro Hamaji 2009-06-25 03:56:57 PDT
Created attachment 31850 [details]
Patch v1

 LayoutTests/ChangeLog                              |   20 +++++++++++++++
 LayoutTests/fast/flexbox/017.html                  |    6 ++++
 LayoutTests/fast/flexbox/019.html                  |    6 ++++
 LayoutTests/fast/flexbox/box-orient-inherited.html |   25 +++++++++++++++++++
 LayoutTests/fast/flexbox/flex-hang.html            |    2 +-
 .../flexbox/box-orient-inherited-expected.checksum |    1 +
 .../fast/flexbox/box-orient-inherited-expected.png |  Bin 0 -> 16746 bytes
 .../fast/flexbox/box-orient-inherited-expected.txt |   16 ++++++++++++
 WebCore/ChangeLog                                  |   26 ++++++++++++++++++++
 WebCore/rendering/style/RenderStyle.h              |    4 +-
 WebCore/rendering/style/StyleFlexibleBoxData.cpp   |    4 +--
 WebCore/rendering/style/StyleFlexibleBoxData.h     |    1 -
 WebCore/rendering/style/StyleRareInheritedData.cpp |    5 +++-
 WebCore/rendering/style/StyleRareInheritedData.h   |    3 +-
 14 files changed, 110 insertions(+), 9 deletions(-)
Comment 3 Shinichiro Hamaji 2009-06-25 04:00:29 PDT
Created attachment 31851 [details]
expected png of my layout test

Please land this png file in LayoutTests/platform/mac/fast/flexbox as well.
Comment 4 Shinichiro Hamaji 2009-06-25 22:00:33 PDT
Created attachment 31905 [details]
Patch v1

 LayoutTests/ChangeLog                              |   20 +++++++++++++++
 LayoutTests/fast/flexbox/017.html                  |    6 ++++
 LayoutTests/fast/flexbox/019.html                  |    6 ++++
 LayoutTests/fast/flexbox/box-orient-inherited.html |   25 +++++++++++++++++++
 LayoutTests/fast/flexbox/flex-hang.html            |    2 +-
 .../flexbox/box-orient-inherited-expected.checksum |    1 +
 .../fast/flexbox/box-orient-inherited-expected.png |  Bin 0 -> 16746 bytes
 .../fast/flexbox/box-orient-inherited-expected.txt |   16 ++++++++++++
 WebCore/ChangeLog                                  |   26 ++++++++++++++++++++
 WebCore/rendering/style/RenderStyle.h              |    4 +-
 WebCore/rendering/style/StyleFlexibleBoxData.cpp   |    4 +--
 WebCore/rendering/style/StyleFlexibleBoxData.h     |    1 -
 WebCore/rendering/style/StyleRareInheritedData.cpp |    5 +++-
 WebCore/rendering/style/StyleRareInheritedData.h   |    3 +-
 14 files changed, 110 insertions(+), 9 deletions(-)
Comment 5 Shinichiro Hamaji 2009-06-25 22:01:58 PDT
Comment on attachment 31905 [details]
Patch v1

Added the expected image into the patch.
Comment 6 Eric Seidel (no email) 2009-06-26 01:16:59 PDT
Hyatt?
Comment 7 Dave Hyatt 2009-07-06 11:32:00 PDT
I suspect that's a typo... it's not clear to me why box-orient would be inherited.  Let me ask dbaron.
Comment 8 Dave Hyatt 2009-07-06 11:32:31 PDT
Comment on attachment 31905 [details]
Patch v1

Clearing review flag for now while I try to determine why this changed.
Comment 9 Shinichiro Hamaji 2009-07-06 12:52:07 PDT
It turned out this was just a typo of the spec.